﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            this.openFileDialog1.Filter = "PDF (*.pdf)|*.pdf";
            if (this.openFileDialog1.ShowDialog(this) == DialogResult.OK)
            {
                textBox1.Text = openFileDialog1.FileName;
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            this.openFileDialog1.Filter = "PDF (*.pdf)|*.pdf";
            if (this.openFileDialog1.ShowDialog(this) == DialogResult.OK)
            {
                textBox2.Text = openFileDialog1.FileName;
            }
        }

        private void button3_Click(object sender, EventArgs e)
        {
            bool bResult;

            if (textBox1.Text == "")
                return;

            if (textBox2.Text == "")
                return;
            saveFileDialog1.Filter = "PDF file (*.pdf)|*.pdf||";

            this.saveFileDialog1.DefaultExt = "pdf";

            if (this.saveFileDialog1.ShowDialog(this) == DialogResult.OK)
            {
                bResult = axImageViewer1.PDFEditMergeWithBookmarks(textBox1.Text, textBox2.Text, saveFileDialog1.FileName, textBox3.Text, textBox4.Text, textBox5.Text);

                if (bResult)
                    MessageBox.Show("Merge Completed");
                else
                    MessageBox.Show("Merge Failed");

            }
        }
    }
}
